image: node:8.11.1

stages:
  - init
  - test
  - build
  - deploy

init:
  stage: init
  script:
    - npm install npm
    - npm install

tests:
  stage: test
  script:
    - npm test

build:
  stage: build
  script:
    - npm install -g vue-cli
    - npm run build
    - echo "Build the website"

deploy_production:
  stage: deploy
  script:
    - npm install -g firebase-tools
    - firebase use --token $FIREBASE_TOKEN
    - firebase deploy -m "Pipeline $CI_PIPELINE_ID, build $CI_BUILD_ID" --non-interactive --token $FIREBASE_TOKEN
    - echo "Deployed to production server"
  environment:
    name: production
    url: https://creative-tomorrow-backend.firebaseapp.com/
